GCLOUD_COMPUTE_HEALTH-CHECKS_LIST(1)

NAME

gcloud compute health-checks list - list Google Compute Engine health checks

SYNOPSIS

gcloud compute health-checks list [NAME ...] [--protocol=PROTOCOL] [--regexp=REGEXP, -r REGEXP] [--filter=EXPRESSION] [--limit=LIMIT] [--page-size=PAGE_SIZE] [--sort-by=[FIELD,...]] [--uri] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute health-checks list displays all Google Compute Engine health checks in a project.

POSITIONAL ARGUMENTS

    [NAME ...]
        If provided, show details for the specified names and/or URIs of resources.

FLAGS

    --protocol=PROTOCOL
        If protocol is specified, only health checks for that protocol are listed, and protocol-specific columns are added to the output. By default, health checks for all protocols are listed.

    --regexp=REGEXP, -r REGEXP
        A regular expression to filter the names of the results on. Any names that do not match the entire regular expression will be filtered out.

LIST COMMAND FLAGS

    --filter=EXPRESSION
        Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details and examples of filter expressions run $ gcloud topic filters. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --limit=LIMIT
        The maximum number of resources to list. The default is unlimited. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --page-size=PAGE_SIZE
        Some services group resource list output into pages. This flag specifies the maximum number of resources per page. The default is determined by the service if it supports paging, otherwise it is unlimited (no paging). Paging may be applied before or after --filter and --limit depending on the service.

    --sort-by=[FIELD,...]
        A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --uri
        Print a list of resource URIs instead of the default output.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To list all health checks in a project in table form, run:
    $ gcloud compute health-checks list
To list the URIs of all health checks in a project, run:
    $ gcloud compute health-checks list --uri